انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید

نویسنده موضوع: مشکل گراب  (دفعات بازدید: 155 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین abramazani

  • Jr. Member
  • *
  • ارسال: 39
  • جنسیت : پسر
  • برنامه نویس پایتون!!
    • سایت شخصی
مشکل گراب
« : 22 شهریور 1401، 03:05 ب‌ظ »
سلام
من اوبونتو را به 22.04 بروزرسانی کردم اما امروز که میخواهم با استفاده از apt نرم افزاری را نصب کنم با خطای زیر مواجه میشوم:
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
خب من کد نوشته شده را اجرا می کنم و انگار مشکل از گراب است:

وقتی هم Enter میزنم به ارور زیر برمیخورم:

و این چرخه به طور بی نهایت ادامه داره...

من از همون روز اول نصب اوبونتو اصلا هیچ گرابی نداشتم و فقط یه خط سفید چشمک زن بود و از روی اون می فهمیدم که الان باید انتخاب کنم و اینکه هر گزینه چیه رو حفظ کرده بودم
از یکی که پرسیدم گفت مشکل از نوع سیستم هست و این لپ تاپ از گراب پشتیبانی نمی کنه  :o

اما الان که بروزرسانی کردم حتی همون خط چشمک زن هم نمیاد!
آیا این 2 مشکل قابل حل هست؟
حرف زدن مهم نیست... کُدت را نشان بده!

آفلاین دانیال بهزادی

  • ناظر انجمن
  • *
  • ارسال: 17558
  • جنسیت : پسر
  • Urahara Kiesuke
    • وبلاگ
پاسخ : مشکل گراب
« پاسخ #1 : 22 شهریور 1401، 03:26 ب‌ظ »
گراب رو جای اشتباهی نصب کردی. به‌جای sda8 باید روی sda نصب کنی.
اگه این ارسال بهت کمک کرد، دنبال دکمهٔ تشکر نگرد. به جاش تو هم به جامعهٔ آزادت کمک کن

آفلاین abramazani

  • Jr. Member
  • *
  • ارسال: 39
  • جنسیت : پسر
  • برنامه نویس پایتون!!
    • سایت شخصی
پاسخ : مشکل گراب
« پاسخ #2 : 23 شهریور 1401، 11:46 ق‌ظ »
گراب رو جای اشتباهی نصب کردی. به‌جای sda8 باید روی sda نصب کنی.
چطور این کار رو انجام بدم؟
الان باز ارور جدیدی نمایش داده میشه(هر کاری می کنم این هست! حتی توی استک اورفلو و askubuntu هم گشتم ولی باز هم به نتیجه ای نرسیدم)
dpkg: error processing package grub-efi-amd64-signed (--configure):
 installed grub-efi-amd64-signed package post-installation script subprocess returned error exit status 32
dpkg: dependency problems prevent configuration of shim-signed:
 shim-signed depends on grub-efi-amd64-signed | grub-efi-arm64-signed; however:
  Package grub-efi-amd64-signed is not configured yet.
  Package grub-efi-arm64-signed is not installed.

dpkg: error processing package shim-signed (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                          Errors were encountered while processing:
 grub-efi-amd64-signed
 shim-signed
E: Sub-process /usr/bin/dpkg returned an error code (1)
« آخرین ویرایش: 23 شهریور 1401، 12:33 ب‌ظ توسط abramazani »
حرف زدن مهم نیست... کُدت را نشان بده!